about summary refs log tree commit diff
path: root/editor/ppmquantall
diff options
context:
space:
mode:
Diffstat (limited to 'editor/ppmquantall')
-rwxr-xr-xeditor/ppmquantall5
1 files changed, 2 insertions, 3 deletions
diff --git a/editor/ppmquantall b/editor/ppmquantall
index bc314d4d..4807de8c 100755
--- a/editor/ppmquantall
+++ b/editor/ppmquantall
@@ -71,9 +71,8 @@ for i in ${files[@]}; do
 done
 
 tempdir="${TMPDIR-/tmp}/ppmquantall.$$"
-mkdir $tempdir || { echo "Could not create temporary file. Exiting."; exit 1;}
-chmod 700 $tempdir
-
+mkdir -m 0700 $tempdir || \
+  { echo "Could not create temporary file. Exiting."; exit 1;}
 trap 'rm -rf $tempdir' 0 1 3 15
 
 all=$tempdir/pqa.all.$$